# SIPOptionsHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPOptionsHandler:

[legend]
Collaboration diagram for SIPOptionsHandler:
[legend]

## Public Member Functions

| SIPOptionsHandler (SIPEndPoint &ep, const SIPOptions::Params &params)
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnFailed (SIP_PDU::StatusCodes)
virtual void | OnFailed (const SIP_PDU &response)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)

## Protected Attributes

SIPOptions::Params | m_parameters

## Constructor & Destructor Documentation

SIPOptionsHandler::SIPOptionsHandler | ( | SIPEndPoint & | ep,
|  | const SIPOptions::Params & | params |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPOptionsHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual void SIPOptionsHandler::OnFailed | ( | const SIP_PDU & | response | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPOptionsHandler::OnFailed | ( | SIP_PDU::StatusCodes |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPOptionsHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

## Field Documentation

SIPOptions::Params SIPOptionsHandler::m_parameters `[protected]`

The documentation for this class was generated from the following file:

- handlers.h